## crawl 0.17.0

=== source/Makefile ===
# vim:set ts=8 sw=4 noexpandtab:
#
# Dungeon Crawl Stone Soup
# GNU Makefile
#
# largely written by Steven Noonan <steven@uplinklabs.net>
#    (if something breaks, blame him.)
#

# Typical targets:
#    make
#    make debug
#    make debug-lite    # Like "make debug", but without all the spew.
#    make install
#    make debug install
#    -- note, unlike most programs, you need to specify build type when
#       installing even if you just built it.
# Typical parameters:
#    TILES         -- set to anything to enable tiles build
#
#    SOUND         -- set to anything to enable sound
#
#    CROSSHOST     -- target system, eg, i386-pc-msdosdjgpp or i586-mingw32msvc
#
#    prefix        -- installation base.  Specify eg. /usr/local on Unix systems.
#    DESTDIR       -- installation staging area (the dir you intend to pack)
#    DATADIR       -- place to hold immutable files.  Can be either relative to
#                     "prefix" or absolute.
#    SAVEDIR       -- place to hold writeable data (saves, database, morgue
#                     dumps).  Can be relative to "prefix", absolute or placed
#                     in the user's home dir (~).  Remember to protect the ~
#                     from your shell!
#                     Warning, as of 0.8, directories shared between
#                     multiple system users are no longer supported.
#    SHAREDDIR     -- place to hold writeable data common to multiple
#                     versions of Crawl (scores, the logfile, ghosts).  Will
#                     be placed inside the SAVEDIR if not specified.
#       Layout examples:
#         prefix=~/crawl DATADIR=data/ SAVEDIR=saves/
#                  -- everything under ~/crawl
#         prefix=/usr/local
#                  -- system-wide installation
#
#    V             -- set to anything to enable verbose build
#
#    USE_ICC       -- set to use Intel's compiler
#    LTO           -- set for better optimization but slower compilation,
#                     requires gcc4.6+
#    NOASSERTS     -- set to disable assertion checks (ignored in debug mode)
#    NOWIZARD      -- set to disable wizard mode.  Use if you have untrusted
#                     remote players without DGL.
#
#    PROPORTIONAL_FONT -- set to a .ttf file you want to use for a proportional
#                         font; if not set, a copy of Bitstream Vera Sans
#                         shipped with Crawl will be used
#    MONOSPACED_FONT   -- monospaced font; Bitstream Vera Mono Sans
#    COPY_FONTS    -- force installing fonts
#
#    WEBTILES      -- set to anything to compile for Webtiles
#    WEBDIR        -- place to hold the Webtiles client data. Can be either
#                     relative to prefix or absolute.
#
#    ANDROID       -- perform an Android build (see docs/develop/android.txt)
#    TOUCH_UI      -- enable UI behaviour more compatible with touch-screens
#
#
# Requirements:
#    For tile builds, you need pkg-config.
#    You also need libpng, sdl2, sdl2-image, sdl2-mixer and libfreetype -- if
#    you got your source from git, you can 'git submodule update' to fetch
#    them; you can also ask for a package with convenience libraries instead --
#    we'll try to provide them somewhere in the near future.

GAME = crawl

# Disable GNU Make implicit rules and variables. Leaving them enabled will slow
# down MinGW and Cygwin builds by a very VERY noticeable degree. Besides, we have
# _explicit_ rules defined for everything. So we don't need them.
MAKEFLAGS += -rR # This only works for recursive makes, i.e. contribs ...
.SUFFIXES:       # ... so zap the suffix list to neutralize most predifined rules, too

.PHONY: all test install clean clean-contrib clean-rltiles clean-android \
        distclean debug debug-lite profile package-source source \
        build-windows package-windows rest docs greet api android FORCE

include Makefile.obj

#
# Compiler Flags
#
# The compiler flag variables are separated into their individual
# purposes, making it easier to deal with the various tools involved
# in a compile.
#
# These are also divided into global vs. local flags. So for instance,
# CFOPTIMIZE affects Crawl, Lua, and SQLite, while CFOPTIMIZE_L only
# affects Crawl.
#
# The variables are as follows:
# CFOPTIMIZE(_L) - Optimization flags
# CFWARN(_L) - Warning flags
# CFOTHERS(_L) - Anything else
#

# Which C++ standard to support
STDFLAG = -std=c++11

CFOTHERS := -pipe $(EXTERNAL_FLAGS)
CFWARN := 
CFWARN_L := -Wall -Wformat-security -Wundef

DEFINES := $(EXTERNAL_DEFINES)

ifdef ANDROID
LDFLAGS := $(EXTERNAL_LDFLAGS) $(LDFLAGS)
else
LDFLAGS := $(EXTERNAL_LDFLAGS)
endif

#
# The GCC and GXX variables are set later.
#
AR = ar
RANLIB = ranlib
CC = $(GCC)
CXX = $(GXX)
RM = rm -f
COPY = cp
COPY_R = cp -r
STRIP = strip -s
WINDRES = windres
CHMOD = chmod 2>/dev/null
CHOWN = chown 2>/dev/null
PNGCRUSH = $(COPY)
PNGCRUSH_LABEL = COPY
ADVPNG = advpng -z -4
PKGCONFIG = pkg-config
DOXYGEN = doxygen
DOXYGEN_SIMPLE_CONF = crawl_simple.doxy
DOXYGEN_ALL_CONF = crawl_all.doxy
DOXYGEN_HTML_GEN = html/

export AR
export RANLIB
export RM
export CC
export CXX
export CFLAGS
export STDFLAG
export MAKEFLAGS
export CONFIGURE_FLAGS
export uname_S

#
# Platform Detection
#
uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
uname_M := $(shell sh -c 'uname -m 2>/dev/null || echo not')
uname_O := $(shell sh -c 'uname -o 2>/dev/null || echo not')
uname_R := $(shell sh -c 'uname -r 2>/dev/null || echo not')
uname_P := $(shell sh -c 'uname -p 2>/dev/null || echo not')
uname_V := $(shell sh -c 'uname -v 2>/dev/null || echo not')

HOST := $(shell sh -c 'cc -dumpmachine || echo unknown')
ARCH := $(HOST)

ifdef CROSSHOST
	ARCH := $(CROSSHOST)
	ifneq (,$($shell which $(ARCH)-pkg-config 2>/dev/null))
	  PKGCONFIG = $(ARCH)-pkg-config
	else
	  ifneq (,$(wildcard /usr/$(ARCH)/lib/pkgconfig))
	    PKGCONFIG = PKG_CONFIG_LIBDIR=/usr/$(ARCH)/lib/pkgconfig pkg-config
	  else
	    NO_PKGCONFIG = YesPlease
	    BUILD_LUA = yes
	    BUILD_SQLITE = yes
	    BUILD_ZLIB = YesPlease
	  endif
	endif
	NO_AUTO_OPT = YesPlease
	CONFIGURE_FLAGS += --host=$(CROSSHOST)

	# If needed, override uname_S so we get the appropriate
	# things compiled.
	ifneq (,$(findstring mingw,$(CROSSHOST)))
		uname_S=MINGW32
	endif

endif

msys =
ifneq (,$(findstring MINGW,$(uname_S)))
	msys = Yes
endif
ifneq (,$(findstring MSYS,$(uname_S)))
	msys = Yes
endif
ifdef msys
	GAME = crawl.exe
	bin_prefix = .
	WIN32 = Yes
	NO_RDYNAMIC = YesPlease
	NO_NCURSES = YesPlease
	NEED_LIBW32C = YesPlease
	BUILD_PCRE = YesPlease
	BUILD_ZLIB = YesPlease
	SOUND = YesPlease
	DEFINES_L += -DWINMM_PLAY_SOUNDS -D__USE_MINGW_ANSI_STDIO
	EXTRA_LIBS += -lwinmm
	ifdef TILES
		EXTRA_LIBS += -lmingw32 -lgdi32 -lwinmm -limm32 -lole32 -loleaut32 -lversion contrib/install/$(ARCH)/lib/libSDL2main.a -mwindows
		BUILD_FREETYPE = YesPlease
		BUILD_SDL2 = YesPlease
		BUILD_SDL2IMAGE = YesPlease
		BUILD_LIBPNG = YesPlease
		COPY_FONTS = yes
	endif
	ifeq ($(shell gcc -v -static -static-libstdc++ 2>&1 | grep 'unrecognized option'),)
		EXTRA_LIBS += -static -static-libgcc -static-libstdc++
	endif
endif
ifeq ($(uname_S),Darwin)
	STRIP := strip -x
	NEED_APPKIT = YesPlease
	LIBNCURSES_IS_UNICODE = Yes
	NO_PKGCONFIG = Yes
	BUILD_SQLITE = YesPlease
	BUILD_ZLIB = YesPlease
	ifdef TILES
		EXTRA_LIBS += -framework AppKit -framework AudioUnit -framework CoreAudio -framework ForceFeedback -framework Carbon -framework IOKit -framework OpenGL contrib/install/$(ARCH)/lib/libSDL2main.a
		BUILD_FREETYPE = YesPlease
		BUILD_SDL2 = YesPlease
		BUILD_SDL2IMAGE = YesPlease
		ifdef SOUND
			ifndef WIN32 
				BUILD_SDL2MIXER = YesPlease
			endif
		endif
		BUILD_LIBPNG = YesPlease
		COPY_FONTS = yes
	endif
endif
ifdef USE_ICC
	NO_RDYNAMIC := YesPlease
endif
ifneq (,$(findstring CYGWIN,$(uname_S)))
	GAME = crawl.exe
	NO_RDYNAMIC = YesPlease
	BUILD_PCRE = YesPlease
	# newlib doesn't provide Posix functions with c++11
	STDFLAG = -std=gnu++11
endif

ifdef BUILD_ALL
	BUILD_FREETYPE = YesPlease
	BUILD_PCRE = YesPlease
	BUILD_SDL2 = YesPlease
	BUILD_SDL2IMAGE = YesPlease
	ifdef SOUND
		ifndef WIN32 
			BUILD_SDL2MIXER = YesPlease
		endif
	endif
	BUILD_SQLITE = YesPlease
	BUILD_LUA = YesPlease
	BUILD_LIBPNG = YesPlease
	BUILD_ZLIB = YesPlease
endif

# Should be the first rule, but must come after $(GAME) is set.
all: greet check-fonts $(GAME) docs webserver

LIBPCRE := contrib/install/$(ARCH)/lib/libpcre.a
LIBSDL2 := contrib/install/$(ARCH)/lib/libSDL2.a
LIBPNG := contrib/install/$(ARCH)/lib/libpng.a
LIBSDL2IMAGE := contrib/install/$(ARCH)/lib/libSDL2_image.a
LIBSDL2MIXER := contrib/install/$(ARCH)/lib/libSDL2_mixer.a
LIBFREETYPE := contrib/install/$(ARCH)/lib/libfreetype.a
LIBSQLITE := contrib/install/$(ARCH)/lib/libsqlite3.a
ifdef USE_LUAJIT
LIBLUA := contrib/install/$(ARCH)/lib/libluajit.a
else
LIBLUA := contrib/install/$(ARCH)/lib/liblua.a
endif
LIBZ := contrib/install/$(ARCH)/lib/libz.a

ifndef CROSSHOST
	SQLITE_INCLUDE_DIR := /usr/include
else
	# This is totally wrong, works only with some old-style setups, and
	# on some architectures of Debian/new FHS multiarch -- excluding, for
	# example, i386.  Fortunately, i386 is rarely cross-compiled to.
	# There's no support for /usr/local/ too, without thorough handholding.
	# It's still an improvement over Crawl 0.8 which had no cross-compiling
	# to non-win32 at all.
	#
	# Needs to be replaced by compile checks.  Guessing the paths is fragile,
	# while the compiler knows them already.
	SQLITE_INCLUDE_DIR := /usr/$(ARCH)/include
endif
SQLITE_LIB := -lsqlite3

#
# Set up the TILES variant
#
ifdef TILES
TILES_ANY = YesPlease
OBJECTS += $(TILES_OBJECTS) $(GLTILES_OBJECTS)
  ifdef WEBTILES
    OBJECTS += $(error Web and local tiles are exclusive)
  endif
endif

ifdef WEBTILES
TILES_ANY = YesPlease
OBJECTS += $(TILES_OBJECTS) $(WEBTILES_OBJECTS)
endif

ifdef ANDROID
TILES_ANY = YesPlease
endif

#
# Check for an Apple-released compiler.
#
ifndef NO_APPLE_GCC
ifeq ($(uname_S),Darwin)
ifneq ($(shell gcc -v 2>&1 | grep Apple),)
APPLE_GCC = YesPlease
endif
endif
endif


ifdef WIN32
EXTRA_OBJECTS += icon.o
else
ifndef ANDROID
EXTRA_LIBS += -pthread
endif
endif

ifndef TILES
ifdef NEED_LIBW32C
OBJECTS += libw32c.o
else
OBJECTS += libunix.o
endif
endif

# To get stack trace symbols.
# Note that MinGW doesn't support -rdynamic.
ifndef NO_RDYNAMIC
LDFLAGS += -rdynamic
endif

ifdef USE_MERGE_BASE
MERGE_BASE := $(shell git merge-base HEAD $(USE_MERGE_BASE))
endif

ifdef USE_DGAMELAUNCH
# Permissions to set on the game executable.
MCHMOD := 755

# Permissions to set on the save directory.
MCHMOD_SAVEDIR := 775
MCHMOD_LOGS := 664

# The user:group to install the game as.
INSTALL_UGRP := games:games
endif

chroot_prefix :=
prefix        :=

ifeq ($(patsubst %/local,%,$(patsubst %/,%,$(prefix))),/usr)
FHS := yes
endif

ifeq (,$(bin_prefix))
ifneq ($(patsubst %/,%,$(prefix)),/usr)
bin_prefix    := bin
else
bin_prefix    := games
endif
endif

# If you're installing Crawl for multiple users, you *must* set this to a
# valid path before building Crawl. This is not necessary if you are building
# Crawl for a single user.
# If you're installing to /usr, /usr/local or /opt, we have sane defaults.

# SAVEDIR := saves/
# DATADIR := data/
ifneq (,$(FHS))
DATADIR       := share/crawl
SAVEDIR       := ~/.crawl
endif

ifneq ($(patsubst /opt%,%,$(prefix)),$(prefix))
DATADIR := data
SAVEDIR := ~/.crawl
endif


INCLUDES_L += -Iutil -I.

ifdef APPLE_GCC

MARCH := $(uname_M)


ifndef NO_AUTO_SDK

# The SDK locations were moved in 10.8; this snippet tries to find them
# there first, then reverts to the original location.
XCODE_SDK_SUFFIX := Platforms/MacOSX.platform/Developer
# Try to use xcode-select -p to find the current user-configured Xcode.app.
XCODE_SELECT_PATH := $(shell xcode-select -p 2>/dev/null | sed 's/\/$$//')
ifeq ($(shell test -e "$(XCODE_SELECT_PATH)/$(XCODE_SDK_SUFFIX)" || echo NOPE),)
DEVELOPER_PATH := $(XCODE_SELECT_PATH)/$(XCODE_SDK_SUFFIX)
else
# Otherwise, try /Applications/Xcode.app.

=== debian/changelog ===
crawl (2:0.17.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove the .menu files in favor of the .desktop files.

 -- Guus Sliepen <guus@debian.org>  Sun, 22 Nov 2015 14:24:41 +0100

=== debian/control ===
Source: crawl
Section: games
Priority: optional
Maintainer: Guus Sliepen <guus@debian.org>
Uploaders: Trent W. Buck <trentbuck@gmail.com>, Adam Borowski <kilobyte@angband.pl>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 7), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
	pkg-config, libsdl2-image-dev, libsdl2-mixer-dev, libsdl2-dev, libsqlite3-dev,
	libfreetype6-dev, advancecomp, libpng-dev
Homepage: http://crawl.develz.org/

Package: crawl-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: crawl | crawl-tiles
Description: Dungeon Crawl, a text-based roguelike game (data files)
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 These are the data and support files.
 .
 This is the Stone Soup version of Dungeon Crawl.

Package: crawl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, crawl-common (= ${source:Version})
Description: Dungeon Crawl, a text-based roguelike game
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 This is the console version, for tiles, use crawl-tiles instead.
 .
 This is the Stone Soup version of Dungeon Crawl.

Package: crawl-tiles-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, crawl-common (= ${source:Version})
Conflicts: crawl-tiles (<< 2:0.11.1-1)
Replaces: crawl-tiles (<< 2:0.11.1-1)
Recommends: crawl-tiles
Description: Dungeon Crawl, a text-based roguelike game (tile data files)
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 These are the tile graphics.
 .
 This is the Stone Soup version of Dungeon Crawl.Package: crawl-tiles

Package: crawl-tiles
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, crawl-common (= ${source:Version}), crawl-tiles-data (= ${source:Version}), fonts-dejavu-core
Description: Dungeon Crawl, a roguelike game, tiles version
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 This is the graphical (tiles) version.
 .
 This is the Stone Soup version of Dungeon Crawl.

## crawl 0.17.1

=== source/rltiles/Makefile ===
uname_S := $(shell uname -s)

ifneq (,$(findstring MINGW,$(uname_S)))
LDFLAGS += -lmingw32
endif

# Note: since generation of tiles is done on the host, we don't care about
# cross-compilation here.
#
# Also, cross-compilation with no system libraries for host rather than target
# is not supported.  If host=target, contribs are enough.

CFLAGS := -O2 $(STDFLAG) -g -Wall -Wextra -Wno-parentheses -Wno-unused-parameter

ifdef ANDROID
  CXXFLAGS :=
  LDFLAGS :=
  LIBS :=
endif

ifdef TILES
  ifndef NO_PKGCONFIG
    PNG_INCLUDE := $(shell pkg-config libpng --cflags 2> /dev/null || echo "-I../contrib/install/$(ARCH)/include")
    PNG_LIB := $(shell pkg-config libpng --libs 2> /dev/null || echo "../contrib/install/$(ARCH)/lib/libpng.a ../contrib/install/$(ARCH)/lib/libz.a")
  else
    PNG_INCLUDE := -I../contrib/install/$(ARCH)/include
    PNG_LIB := ../contrib/install/$(ARCH)/lib/libpng.a ../contrib/install/$(ARCH)/lib/libz.a
  endif

  CFLAGS += $(PNG_INCLUDE)
  LDFLAGS += $(PNG_LIB)

  CFLAGS += -DUSE_TILE
endif

ifdef DEBUG
CFLAGS += -O0 -DDEBUG -ggdb
endif

ifneq (,$(findstring MINGW,$(uname_S)))
LDFLAGS += -lgdi32 -lwinmm -lole32 -loleaut32 -limm32 -lshell32 -lversion -luuid
endif
ifeq ($(uname_S),Darwin)
LDFLAGS += -framework AppKit -framework AudioUnit -framework CoreAudio -framework ForceFeedback -framework Carbon -framework IOKit -framework OpenGL
endif
ifeq ($(uname_S),Linux)
LDFLAGS += -ldl -lpthread
endif

# Attempt to use a full compiler name, to make
# distcc builds work nicely.
LMACH := $(shell gcc -dumpmachine)-
ifeq ($(LMACH),-)
LMACH :=
endif
ifeq ($(shell which $(LMACH)gcc > /dev/null 2> /dev/null && echo "Yes"),)
LMACH :=
endif
HOSTCXX ?= $(LMACH)g++

DELETE = rm -f

TOOLDIR := tool
TILEGEN := $(TOOLDIR)/tilegen.elf

INPUTS := main dngn floor wall feat player gui icons
INPUTFILES := $(INPUTS:%=dc-%.txt)
HEADERS := $(INPUTS:%=tiledef-%.h)
HTML := $(INPUTS:%=tile-%.html)
SOURCE := $(INPUTS:%=tiledef-%.cc)
IMAGES := $(INPUTS:%=%.png)
JAVASCRIPT := $(INPUTS:%=tileinfo-%.js)

ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	QUIET_HOSTCXX  = @echo '   ' HOSTCXX $@;
	QUIET_GEN      = @echo '   ' GEN $@;
	QUIET_HOSTLINK = @echo '   ' HOSTLINK $@;
	export V
endif
endif

BASE_OBJECTS := tile_colour.o tile.o tile_page.o tile_list_processor.o main.o

OBJECTS := $(BASE_OBJECTS:%=$(TOOLDIR)/%)

all: $(TILEGEN) $(HEADERS) $(SOURCE) $(JAVASCRIPT)
ifdef TILES
all: $(IMAGES)
endif

%.png: dc-%.txt $(TILEGEN)
	$(QUIET_GEN)$(TILEGEN) -i $<

ifdef TILES
# Keep coordinates fresh
tiledef-%.h tiledef-%.cc tileinfo-%.js: dc-%.txt $(TILEGEN) %.png
else
tiledef-%.h tiledef-%.cc tileinfo-%.js: dc-%.txt $(TILEGEN)
endif
	$(QUIET_GEN)$(TILEGEN) -c $<

# CFLAGS difference check
TRACK_CFLAGS = $(subst ','\'',$(HOSTCXX) $(CFLAGS))           # (stray ' for highlights)

.cflags: .force-cflags
	@FLAGS='$(TRACK_CFLAGS)'; \
    if test x"$$FLAGS" != x"`cat .cflags 2>/dev/null`" ; then \
	echo "    * rebuilding tilegen: new build flags or prefix"; \
	echo "$$FLAGS" > .cflags; \
    fi

.PHONY: .force-cflags

##########################################################################
# Dependencies

gui.png tiledef-gui.h tileinfo-gui.js: dc-spells.txt dc-skills.txt dc-commands.txt dc-abilities.txt dc-invocations.txt
main.png tiledef-main.h tileinfo-main.js: dc-item.txt dc-unrand.txt dc-corpse.txt dc-misc.txt
player.png tiledef-player.h tileinfo-player.js: dc-mon.txt dc-tentacles.txt dc-zombie.txt dc-demon.txt

DEPS := $(OBJECTS:%.o=%.d) $(INPUTS:%=%.d)

-include $(DEPS)

clean:
	$(DELETE) $(HEADERS) $(OBJECTS) $(TILEGEN) $(SOURCE) $(IMAGES) $(HTML) \
		$(DEPS) $(JAVASCRIPT) .cflags

distclean: clean

%.o: %.cc .cflags
	$(QUIET_HOSTCXX)$(HOSTCXX) $(CFLAGS) -MMD -c $< -o $@

$(TILEGEN): $(OBJECTS)
	$(QUIET_HOSTLINK)$(HOSTCXX) $(OBJECTS) -o $@ $(LDFLAGS)

.PHONY: all clean distclean

=== debian/changelog ===
crawl (2:0.17.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix description of crawl-tiles-data. Closes: #807715

 -- Guus Sliepen <guus@debian.org>  Mon, 21 Dec 2015 14:06:05 +0100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  retrieve the Orb of Zot, which is guarded by many horrible and hideous
  creatures.
  .
- This is the console version, for tiles, use crawl-tiles instead.
+ This is the console version. For tiles, use crawl-tiles instead.
  .
  This is the Stone Soup version of Dungeon Crawl.
 
@@ -50,7 +50,7 @@
  .
  These are the tile graphics.
  .
- This is the Stone Soup version of Dungeon Crawl.Package: crawl-tiles
+ This is the Stone Soup version of Dungeon Crawl.
 
 Package: crawl-tiles
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(shell gcc --version|grep 'gcc (.*) 4\.4\.'))
  ifeq ($(DEB_HOST_ARCH),powerpc)
	# g++-4.4 has an ICE there.
	DEB_BUILD_OPTIONS := $(DEB_BUILD_OPTIONS) noopt
  endif
endif

#LTO is currently broken.
#ifneq (,$(findstring amd64,$(DEB_HOST_ARCH)))
#  LTO=y
#endif
#ifneq (,$(findstring x32,$(DEB_HOST_ARCH)))
#  LTO=y
#endif
#ifneq (,$(findstring i386,$(DEB_HOST_ARCH)))
#  LTO=y
#endif

CFOPTIMIZE = $(shell dpkg-buildflags --get CXXFLAGS || echo -g -O2) \
             $(shell dpkg-buildflags --get LDFLAGS) \
             $(shell dpkg-buildflags --get CPPFLAGS)
ifneq ($(LTO),)
  ifeq ($(shell g++ -x c++ /dev/null -flto=jobserver -fwhole-program 2>&1 | grep 'unrecognized command line option'),)
    CFOPTIMIZE += -flto=jobserver -fwhole-program
  endif
  ifeq ($(shell g++ -x c++ /dev/null -fno-fat-lto-objects 2>&1 | grep 'unrecognized command line option'),)
    CFOPTIMIZE += -fno-fat-lto-objects
  endif
endif

ifeq (,$(filter terse%,$(DEB_BUILD_OPTIONS))$(filter quiet%,$(DEB_BUILD_OPTIONS)))
        VERBOSE=V=y
endif

tree-stamp:
	dh_testdir
	mkdir build-console
	cp -ldpR docs settings source CREDITS.txt build-console/
	mkdir build-tiles
	cp -ldpR docs settings source CREDITS.txt build-tiles/
	touch tree-stamp

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CROSS=CROSSHOST=$(DEB_HOST_GNU_TYPE)
endif

# The makefile is unorthodox, requiring all options to be specified on every invocation.
ARGS_CONSOLE = prefix=/usr CFOPTIMIZE="$(CFOPTIMIZE)" STRIP=: $(CROSS) $(VERBOSE)
ARGS_TILES   = $(ARGS_CONSOLE) TILES=y GAME=crawl-tiles \
	PROPORTIONAL_FONT=/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf \
	MONOSPACED_FONT=/usr/share/fonts/truetype/dejavu/DejaVuSansMono.ttf

build-arch build-indep: build-stamp
build-stamp: tree-stamp
	dh_testdir

	cd build-console/source && $(MAKE) $(ARGS_CONSOLE)
	cd build-tiles/source && $(MAKE) $(ARGS_TILES)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp tree-stamp
	rm -rf build-console build-tiles

	git clean -dfX || true

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cd build-console/source && $(MAKE) $(ARGS_CONSOLE) install DESTDIR=../../debian/crawl-common
	#cd debian/crawl-common/usr/share && mkdir -p doc/crawl-common && \
	#	mv crawl/docs/* doc/crawl-common && \
	#	mv doc/crawl-common/crawl_manual.txt crawl/docs
	rm -rf debian/crawl-common/usr/share/crawl/docs/license
	mkdir -p debian/crawl/usr/
	mv debian/crawl-common/usr/games debian/crawl/usr/games
	cd build-tiles/source && $(MAKE) $(ARGS_TILES) install DESTDIR=../../debian/crawl-tiles
	rm -rf debian/crawl-tiles/var
	cd debian/crawl-tiles/usr/share/crawl/ && rm -rf docs settings
	mkdir -p debian/crawl-tiles-data/usr/share/crawl/dat
	mv debian/crawl-tiles/usr/share/crawl/dat/tiles debian/crawl-tiles-data/usr/share/crawl/dat/
	rm -rf debian/crawl-tiles/usr/share/crawl/dat
	
	mkdir -p debian/crawl/usr/share/man/man6
	cp docs/crawl.6 debian/crawl/usr/share/man/man6/
	mkdir -p debian/crawl-tiles/usr/share/man/man6
	cp docs/crawl.6 debian/crawl-tiles/usr/share/man/man6/crawl-tiles.6
	mkdir -p debian/crawl-common/usr/share/doc/crawl-common/examples
	cp settings/init.txt debian/crawl-common/usr/share/doc/crawl-common/examples/crawlrc
	for i in docs/*.txt; do \
		ln -sf /usr/share/crawl/$$i debian/crawl-common/usr/share/doc/crawl-common/; \
	done

	mkdir -p debian/crawl/usr/share/doc
	ln -sf crawl-common debian/crawl/usr/share/doc/crawl
	mkdir -p debian/crawl-tiles/usr/share/doc
	ln -sf crawl-common debian/crawl-tiles/usr/share/doc/crawl-tiles
	mkdir -p debian/crawl-tiles-data/usr/share/doc
	ln -sf crawl-common debian/crawl-tiles-data/usr/share/doc/crawl-tiles-data
	dh_install -pcrawl debian/crawl.desktop usr/share/applications/
	dh_install -pcrawl-tiles debian/crawl-tiles.desktop usr/share/applications/
	dh_install -pcrawl-tiles debian/crawl.png usr/share/icons/hicolor/48x48/apps/
	dh_link -pcrawl-tiles usr/share/crawl/dat/tiles/stone_soup_icon-32x32.png \
		usr/share/icons/hicolor/32x32/apps/crawl.png
	mkdir -p debian/crawl-tiles/usr/share/icons/hicolor/scalable/apps
	cp -p source/util/dcss.svg \
		debian/crawl-tiles/usr/share/icons/hicolor/scalable/apps/crawl.svg

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs -pcrawl-common -Xcrawl_manual.txt -Xaptitudes.txt -Xquickstart.txt -Xmacros_guide.txt -Xoptions_guide.txt -Xtiles_help.txt
	dh_installchangelogs -pcrawl-common docs/changelog.txt
	dh_link -i
	dh_compress -i -Xaptitudes.txt
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installmenu -a
	dh_link -a
	dh_compress -a -Xaptitudes.txt
	dh_strip -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a -- --ignore-missing-info
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

build: build-indep build-arch
binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=uversionmangle=s/\-nodeps// \
http://crawl.develz.org/release/stone_soup-(.+)\.t(?:ar.)?(?:gz|bz2|xz)

## crawl 0.18.0

=== debian/changelog ===
crawl (2:0.18.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright.
  * Sort maps list and strip build date from version string, to get
    reproducible build. Closes: #823383
  * Drop g++-4.4:powerpc compat.
  * Re-enable LTO on amd64 x32 i386, works fine on both gcc-5 and gcc-6.
  * Run advpng only in indep, to save buildd cycles and avoid timeouts on
    doorstop architectures.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 04 May 2016 11:50:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Guus Sliepen <guus@debian.org>
 Uploaders: Trent W. Buck <trentbuck@gmail.com>, Adam Borowski <kilobyte@angband.pl>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 7), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
 	pkg-config, libsdl2-image-dev, libsdl2-mixer-dev, libsdl2-dev, libsqlite3-dev,
-	libfreetype6-dev, advancecomp, libpng-dev
+	libfreetype6-dev, advancecomp, libpng-dev, moreutils
 Homepage: http://crawl.develz.org/
 
 Package: crawl-common

=== debian/rules ===
--- 
+++ 
@@ -7,23 +7,15 @@
 
 DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-ifneq (,$(shell gcc --version|grep 'gcc (.*) 4\.4\.'))
-  ifeq ($(DEB_HOST_ARCH),powerpc)
-	# g++-4.4 has an ICE there.
-	DEB_BUILD_OPTIONS := $(DEB_BUILD_OPTIONS) noopt
-  endif
+ifneq (,$(findstring amd64,$(DEB_HOST_ARCH)))
+  LTO=y
 endif
-
-#LTO is currently broken.
-#ifneq (,$(findstring amd64,$(DEB_HOST_ARCH)))
-#  LTO=y
-#endif
-#ifneq (,$(findstring x32,$(DEB_HOST_ARCH)))
-#  LTO=y
-#endif
-#ifneq (,$(findstring i386,$(DEB_HOST_ARCH)))
-#  LTO=y
-#endif
+ifneq (,$(findstring x32,$(DEB_HOST_ARCH)))
+  LTO=y
+endif
+ifneq (,$(findstring i386,$(DEB_HOST_ARCH)))
+  LTO=y
+endif
 
 CFOPTIMIZE = $(shell dpkg-buildflags --get CXXFLAGS || echo -g -O2) \
              $(shell dpkg-buildflags --get LDFLAGS) \
@@ -57,7 +49,7 @@
 
 # The makefile is unorthodox, requiring all options to be specified on every invocation.
 ARGS_CONSOLE = prefix=/usr CFOPTIMIZE="$(CFOPTIMIZE)" STRIP=: $(CROSS) $(VERBOSE)
-ARGS_TILES   = $(ARGS_CONSOLE) TILES=y GAME=crawl-tiles \
+ARGS_TILES   = $(ARGS_CONSOLE) TILES=y GAME=crawl-tiles USE_ADVPNG= \
 	PROPORTIONAL_FONT=/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf \
 	MONOSPACED_FONT=/usr/share/fonts/truetype/dejavu/DejaVuSansMono.ttf
 
@@ -69,6 +61,13 @@
 	cd build-tiles/source && $(MAKE) $(ARGS_TILES)
 
 	touch build-stamp
+
+# This should be done during build not install but upstream makefile makes
+# it hard to isolate the targets the proper way.
+install-indep: install
+ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+	cd debian/crawl-tiles-data/usr/share/crawl && parallel advpng -z -4 -- dat/tiles/*.png
+endif
 
 clean:
 	dh_testdir
@@ -127,7 +126,7 @@
 		debian/crawl-tiles/usr/share/icons/hicolor/scalable/apps/crawl.svg
 
 # Build architecture-independent files here.
-binary-indep: install
+binary-indep: install-indep
 	dh_testdir
 	dh_testroot
 	dh_installdocs -pcrawl-common -Xcrawl_manual.txt -Xaptitudes.txt -Xquickstart.txt -Xmacros_guide.txt -Xoptions_guide.txt -Xtiles_help.txt

## crawl 0.18.1

=== source/Makefile ===
--- 
+++ 
@@ -46,6 +46,7 @@
 #    USE_ICC       -- set to use Intel's compiler
 #    LTO           -- set for better optimization but slower compilation,
 #                     requires gcc4.6+
+#    NO_TRY_GOLD   -- if set don't try to detect a working gold linker
 #    NOASSERTS     -- set to disable assertion checks (ignored in debug mode)
 #    NOWIZARD      -- set to disable wizard mode.  Use if you have untrusted
 #                     remote players without DGL.
@@ -81,7 +82,7 @@
 
 .PHONY: all test install clean clean-contrib clean-rltiles clean-android \
         distclean debug debug-lite profile package-source source \
-        build-windows package-windows rest docs greet api android FORCE
+        build-windows package-windows rest docs greet api android FORCE monster
 
 include Makefile.obj
 
@@ -111,10 +112,8 @@
 
 DEFINES := $(EXTERNAL_DEFINES)
 
-ifdef ANDROID
-LDFLAGS := $(EXTERNAL_LDFLAGS) $(LDFLAGS)
-else
-LDFLAGS := $(EXTERNAL_LDFLAGS)
+ifndef ANDROID
+LDFLAGS :=
 endif
 
 #
@@ -421,4 +420,3 @@
 ifeq ($(shell test -e "$(XCODE_SELECT_PATH)/$(XCODE_SDK_SUFFIX)" || echo NOPE),)
 DEVELOPER_PATH := $(XCODE_SELECT_PATH)/$(XCODE_SDK_SUFFIX)
 else
-# Otherwise, try /Applications/Xcode.app.

=== debian/changelog ===
crawl (2:0.18.1-1) unstable; urgency=medium

  * New upstream release

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 10 May 2016 01:08:12 +0200

## crawl 0.19.0

=== debian/changelog ===
crawl (2:0.19.0-1) unstable; urgency=medium

  * New upstream release
  * Use debhelper 10.
  * Don't try to optimize title_*.png.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 01 Nov 2016 11:38:29 +0100

## crawl 0.19.1

=== debian/changelog ===
crawl (2:0.19.1-1) unstable; urgency=medium

  * New upstream release

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 25 Nov 2016 02:03:54 +0100

## crawl 0.19.3

=== source/Makefile ===
--- 
+++ 
@@ -82,7 +82,7 @@
 
 .PHONY: all test install clean clean-contrib clean-rltiles clean-android \
         distclean debug debug-lite profile package-source source \
-        build-windows package-windows rest docs greet api android FORCE monster
+        build-windows package-windows docs greet api android FORCE monster
 
 include Makefile.obj

=== source/rltiles/Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 # Also, cross-compilation with no system libraries for host rather than target
 # is not supported.  If host=target, contribs are enough.
 
+PKGCONFIG = pkg-config
 CFLAGS := -O2 $(STDFLAG) -g -Wall -Wextra -Wno-parentheses -Wno-unused-parameter
 
 ifdef ANDROID
@@ -20,8 +21,8 @@
 
 ifdef TILES
   ifndef NO_PKGCONFIG
-    PNG_INCLUDE := $(shell pkg-config libpng --cflags 2> /dev/null || echo "-I../contrib/install/$(ARCH)/include")
-    PNG_LIB := $(shell pkg-config libpng --libs 2> /dev/null || echo "../contrib/install/$(ARCH)/lib/libpng.a ../contrib/install/$(ARCH)/lib/libz.a")
+    PNG_INCLUDE := $(shell $(PKGCONFIG) libpng --cflags 2> /dev/null || echo "-I../contrib/install/$(ARCH)/include")
+    PNG_LIB := $(shell $(PKGCONFIG) libpng --libs 2> /dev/null || echo "../contrib/install/$(ARCH)/lib/libpng.a ../contrib/install/$(ARCH)/lib/libz.a")
   else
     PNG_INCLUDE := -I../contrib/install/$(ARCH)/include
     PNG_LIB := ../contrib/install/$(ARCH)/lib/libpng.a ../contrib/install/$(ARCH)/lib/libz.a

=== debian/changelog ===
crawl (2:0.19.3-1) unstable; urgency=medium

  * New upstream release

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 22 Jan 2017 21:15:47 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Guus Sliepen <guus@debian.org>
 Uploaders: Trent W. Buck <trentbuck@gmail.com>, Adam Borowski <kilobyte@angband.pl>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 7), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
+Build-Depends: debhelper (>= 10), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
 	pkg-config, libsdl2-image-dev, libsdl2-mixer-dev, libsdl2-dev, libsqlite3-dev,
 	libfreetype6-dev, advancecomp, libpng-dev, moreutils
 Homepage: http://crawl.develz.org/

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	MAKEFLAGS += -j$(NUMJOBS)
+        NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+        MAKEFLAGS += -j$(NUMJOBS)
 endif
 
 DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -66,7 +66,8 @@
 # it hard to isolate the targets the proper way.
 install-indep: install
 ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-	cd debian/crawl-tiles-data/usr/share/crawl && parallel advpng -z -4 -- dat/tiles/*.png
+	cd debian/crawl-tiles-data/usr/share/crawl && parallel advpng -z -4 -- \
+		`find dat/tiles -name '*.png' -not -name 'title_*' -not -name 'stone_soup*'`
 endif
 
 clean:

## crawl 0.20.0

=== debian/changelog ===
crawl (2:0.20.0-2) unstable; urgency=medium

  * Revert no advpng on big-endian -- advancecomp just got fixed.
  * Enable LTO on arm64.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 21 Jun 2017 03:59:23 +0200

crawl (2:0.20.0-1) unstable; urgency=medium

  * New upstream release.
    * Builds fine with GCC-7, closes: #853358
  * Don't use advpng on big-endian archs, it's broken there.  Move it to
    Build-Depends-Indep.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 13 Jun 2017 23:51:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Guus Sliepen <guus@debian.org>
 Uploaders: Trent W. Buck <trentbuck@gmail.com>, Adam Borowski <kilobyte@angband.pl>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 10), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
 	pkg-config, libsdl2-image-dev, libsdl2-mixer-dev, libsdl2-dev, libsqlite3-dev,
-	libfreetype6-dev, advancecomp, libpng-dev, moreutils
+	libfreetype6-dev, libpng-dev
+Build-Depends-Indep: moreutils, advancecomp
 Homepage: http://crawl.develz.org/
 
 Package: crawl-common

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
   LTO=y
 endif
 ifneq (,$(findstring i386,$(DEB_HOST_ARCH)))
+  LTO=y
+endif
+ifneq (,$(findstring arm64,$(DEB_HOST_ARCH)))
   LTO=y
 endif
 
@@ -66,8 +69,10 @@
 # it hard to isolate the targets the proper way.
 install-indep: install
 ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-	cd debian/crawl-tiles-data/usr/share/crawl && parallel advpng -z -4 -- \
-		`find dat/tiles -name '*.png' -not -name 'title_*' -not -name 'stone_soup*'`
+	if which advpng >/dev/null; then \
+	    cd debian/crawl-tiles-data/usr/share/crawl && parallel advpng -z -4 -- \
+		`find dat/tiles -name '*.png' -not -name 'title_*' -not -name 'stone_soup*'`; \
+	fi
 endif
 
 clean:

## crawl 0.20.1

=== source/Makefile ===
--- 
+++ 
@@ -18,7 +18,8 @@
 # Typical parameters:
 #    TILES         -- set to anything to enable tiles build
 #
-#    SOUND         -- set to anything to enable sound
+#    SOUND         -- set to anything to enable sound; note that you will need to
+#                     uncomment some lines in sound.h if not building tiles
 #
 #    CROSSHOST     -- target system, eg, i386-pc-msdosdjgpp or i586-mingw32msvc
 #
@@ -132,7 +133,7 @@
 CHOWN = chown 2>/dev/null
 PNGCRUSH = $(COPY)
 PNGCRUSH_LABEL = COPY
-ADVPNG = advpng -z -4
+ADVPNG = advpng -z -2
 PKGCONFIG = pkg-config
 DOXYGEN = doxygen
 DOXYGEN_SIMPLE_CONF = crawl_simple.doxy
@@ -285,7 +286,13 @@
 LIBZ := contrib/install/$(ARCH)/lib/libz.a
 
 ifndef CROSSHOST
-	SQLITE_INCLUDE_DIR := /usr/include
+	# FreeBSD keeps all of its userland includes in /usr/local so
+	# look there
+	ifeq ($(uname_S),FreeBSD)
+		SQLITE_INCLUDE_DIR := /usr/local/include
+	else
+		SQLITE_INCLUDE_DIR := /usr/include
+	endif
 else
 	# This is totally wrong, works only with some old-style setups, and
 	# on some architectures of Debian/new FHS multiarch -- excluding, for
@@ -323,10 +330,10 @@
 #
 # Check for an Apple-released compiler.
 #
-ifndef NO_APPLE_GCC
+ifndef NO_APPLE_PLATFORM
 ifeq ($(uname_S),Darwin)
 ifneq ($(shell gcc -v 2>&1 | grep Apple),)
-APPLE_GCC = YesPlease
+APPLE_PLATFORM = YesPlease
 endif
 endif
 endif
@@ -369,9 +376,6 @@
 # The user:group to install the game as.
 INSTALL_UGRP := games:games
 endif
-
-chroot_prefix :=
-prefix        :=
 
 ifeq ($(patsubst %/local,%,$(patsubst %/,%,$(prefix))),/usr)
 FHS := yes
@@ -405,18 +409,15 @@
 
 INCLUDES_L += -Iutil -I.
 
-ifdef APPLE_GCC
-
-MARCH := $(uname_M)
-
-
-ifndef NO_AUTO_SDK
-
-# The SDK locations were moved in 10.8; this snippet tries to find them
-# there first, then reverts to the original location.
-XCODE_SDK_SUFFIX := Platforms/MacOSX.platform/Developer
-# Try to use xcode-select -p to find the current user-configured Xcode.app.
-XCODE_SELECT_PATH := $(shell xcode-select -p 2>/dev/null | sed 's/\/$$//')
-ifeq ($(shell test -e "$(XCODE_SELECT_PATH)/$(XCODE_SDK_SUFFIX)" || echo NOPE),)
-DEVELOPER_PATH := $(XCODE_SELECT_PATH)/$(XCODE_SDK_SUFFIX)
-else
+ifdef APPLE_PLATFORM
+
+ifdef BUILD_UNIVERSAL
+# [ds] 10.4 SDK g++-4.0 + x86_64 runs into SDL compile issues.
+CFLAGS_ARCH := -arch i386 -arch ppc -faltivec
+CFLAGS_DEPCC_ARCH := -arch i386
+NO_INLINE_DEPGEN := YesPlease
+else
+CFLAGS_ARCH := -arch $(uname_M)
+endif
+
+MACOSX_MIN_VERSION=10.7

=== debian/changelog ===
crawl (2:0.20.1-1) unstable; urgency=medium

  * New upstream release

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 03 Jul 2017 01:11:16 +0200

## crawl 0.21.0

=== debian/changelog ===
crawl (2:0.21.0-1) unstable; urgency=medium

  * New upstream release
  * Drop an extraneous $ in a make variable; a small step towards #871419.
  * Debhelper 11.
  * R³.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 09 Jan 2018 02:01:36 +0100

## crawl 0.21.1

=== source/Makefile ===
--- 
+++ 
@@ -228,7 +228,7 @@
 	BUILD_SQLITE = YesPlease
 	BUILD_ZLIB = YesPlease
 	ifdef TILES
-		EXTRA_LIBS += -framework AppKit -framework AudioUnit -framework CoreAudio -framework ForceFeedback -framework Carbon -framework IOKit -framework OpenGL contrib/install/$(ARCH)/lib/libSDL2main.a
+		EXTRA_LIBS += -framework AppKit -framework AudioUnit -framework CoreAudio -framework ForceFeedback -framework Carbon -framework IOKit -framework OpenGL -framework AudioToolbox -framework CoreVideo contrib/install/$(ARCH)/lib/libSDL2main.a
 		BUILD_FREETYPE = YesPlease
 		BUILD_SDL2 = YesPlease
 		BUILD_SDL2IMAGE = YesPlease

=== debian/changelog ===
crawl (2:0.21.1-1) unstable; urgency=medium

  * New upstream release

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 03 Feb 2018 22:30:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Guus Sliepen <guus@debian.org>
 Uploaders: Trent W. Buck <trentbuck@gmail.com>, Adam Borowski <kilobyte@angband.pl>
-Standards-Version: 4.0.0
-Build-Depends: debhelper (>= 10), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
 	pkg-config, libsdl2-image-dev, libsdl2-mixer-dev, libsdl2-dev, libsqlite3-dev,
 	libfreetype6-dev, libpng-dev
 Build-Depends-Indep: moreutils, advancecomp
 Homepage: http://crawl.develz.org/
+Rules-Requires-Root: no
 
 Package: crawl-common
 Architecture: all

## crawl 0.22.0+dfsg1

=== debian/changelog ===
crawl (2:0.22.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Update the watch file.
  * Repack .orig tarball to exclude source-less simplebar.js and upstream
    debian packaging in /source/debian (confuses uscan, #905866).

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 11 Aug 2018 13:11:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
         MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 ifneq (,$(findstring amd64,$(DEB_HOST_ARCH)))
   LTO=y

## crawl 0.22.1

=== debian/changelog ===
crawl (2:0.22.1-1) unstable; urgency=medium

  * New upstream release
  * Update the watch file again.
  * Disable fetching of remote bones during build.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 20 Sep 2018 11:45:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Guus Sliepen <guus@debian.org>
 Uploaders: Trent W. Buck <trentbuck@gmail.com>, Adam Borowski <kilobyte@angband.pl>
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 11), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
 	pkg-config, libsdl2-image-dev, libsdl2-mixer-dev, libsdl2-dev, libsqlite3-dev,
 	libfreetype6-dev, libpng-dev

## crawl 0.22.2

=== source/Makefile ===
--- 
+++ 
@@ -321,6 +321,9 @@
 ifdef WEBTILES
 TILES_ANY = YesPlease
 OBJECTS += $(TILES_OBJECTS) $(WEBTILES_OBJECTS)
+ifdef NO_PKGCONFIG
+BUILD_LIBPNG = YesPlease # used by build-rltiles sub-make
+endif
 endif
 
 ifdef ANDROID
@@ -415,9 +418,3 @@
 # [ds] 10.4 SDK g++-4.0 + x86_64 runs into SDL compile issues.
 CFLAGS_ARCH := -arch i386 -arch ppc -faltivec
 CFLAGS_DEPCC_ARCH := -arch i386
-NO_INLINE_DEPGEN := YesPlease
-else
-CFLAGS_ARCH := -arch $(uname_M)
-endif
-
-MACOSX_MIN_VERSION=10.7

=== debian/changelog ===
crawl (2:0.22.2-1) UNRELEASED; urgency=low

  * New upstream release.
 -- advil <rawlins@gmail.com>  Wed, 27 Mar 2019 21:22:21 -0400

crawl (2:0.22.1-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Sun, 16 Sep 2018 20:57:38 -0500

crawl (2:0.22.0-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 09 Aug 2018 17:16:37 -0500

crawl (2:0.21.0-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Sat, 30 Dec 2017 19:24:18 -0600

crawl (2:0.20.0-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 25 May 2017 01:28:15 -0500

crawl (2:0.19.5-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Tue, 28 Feb 2017 17:24:38 -0600

crawl (2:0.19.4-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Mon, 30 Jan 2017 04:22:28 -0600

crawl (2:0.19.3-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Sat, 21 Jan 2017 16:16:52 -0600

crawl (2:0.19.2-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Fri, 20 Jan 2017 22:14:28 -0600

crawl (2:0.19.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Wed, 23 Nov 2016 04:04:25 -0600

crawl (2:0.19.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Tue, 01 Nov 2016 04:41:12 +0000

crawl (2:0.18.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Thu, 05 May 2016 14:40:59 -0500

crawl (2:0.18.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Wed, 04 May 2016 13:27:07 -0500

crawl (2:0.17.2-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Thu, 05 May 2016 15:32:00 -0500

crawl (2:0.17.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Thu, 10 Dec 2015 05:09:43 -0600

crawl (2:0.17.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Fri, 06 Nov 2015 06:04:45 -0600

crawl (2:0.16.2-1) UNRELEASED; urgency=low

  * Major bugfix release

 -- gammafunk <gammafunk@gmail.com>  Tue, 11 Aug 2015 02:46:17 -0500

crawl (2:0.16.1-1) UNRELEASED; urgency=low

  * Major bugfix release

 -- gammafunk <gammafunk@gmail.com>  Sun, 22 Mar 2015 21:55:31 -0500

crawl (2:0.16.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Wed, 11 Mar 2015 22:44:40 -0500

crawl (2:0.15.2-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Steve Melenchuk <smelenchuk@gmail.com>  Sat, 18 Sep 2014 20:32:56 -0600

crawl (2:0.15.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Steve Melenchuk <smelenchuk@gmail.com>  Mon, 15 Sep 2014 17:25:10 -0600

crawl (2:0.15.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Steve Melenchuk <smelenchuk@gmail.com>  Wed, 27 Aug 2014 21:32:22 -0600

crawl (2:0.14.2-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Steve Melenchuk <smelenchuk@gmail.com>  Wed, 27 Aug 2014 19:57:07 -0600

## crawl 0.23.0

=== source/Makefile ===
--- 
+++ 
@@ -83,7 +83,8 @@
 
 .PHONY: all test install clean clean-contrib clean-rltiles clean-android \
         distclean debug debug-lite profile package-source source \
-        build-windows package-windows docs greet api android FORCE monster
+        build-windows package-windows docs greet api api-dev android FORCE \
+	monster
 
 include Makefile.obj

=== debian/changelog ===
crawl (2:0.23.0-1) unstable; urgency=medium

  * New upstream release
  * Add python (-yaml) to Build-Deps.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 15 Feb 2019 00:29:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Guus Sliepen <guus@debian.org>
 Uploaders: Trent W. Buck <trentbuck@gmail.com>, Adam Borowski <kilobyte@angband.pl>
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 11), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
 	pkg-config, libsdl2-image-dev, libsdl2-mixer-dev, libsdl2-dev, libsqlite3-dev,
-	libfreetype6-dev, libpng-dev
+	libfreetype6-dev, libpng-dev, python-yaml
 Build-Depends-Indep: moreutils, advancecomp
 Homepage: http://crawl.develz.org/
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,8 @@
 endif
 
 # The makefile is unorthodox, requiring all options to be specified on every invocation.
-ARGS_CONSOLE = prefix=/usr CFOPTIMIZE="$(CFOPTIMIZE)" STRIP=: $(CROSS) $(VERBOSE)
+ARGS_CONSOLE = prefix=/usr CFOPTIMIZE="$(CFOPTIMIZE)" STRIP=: $(CROSS) $(VERBOSE) \
+	DIST_BONES_LOC=/dev/null
 ARGS_TILES   = $(ARGS_CONSOLE) TILES=y GAME=crawl-tiles USE_ADVPNG= \
 	PROPORTIONAL_FONT=/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf \
 	MONOSPACED_FONT=/usr/share/fonts/truetype/dejavu/DejaVuSansMono.ttf
